Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691437 - [nova][libvirtd] missing MTU tag in instance libvirt xml prevents live migration
Summary: [nova][libvirtd] missing MTU tag in instance libvirt xml prevents live migration
Keywords:
Status: NEW
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 14.0 (Rocky)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: nova-maint
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 15:38 UTC by Mauro Oddi
Modified: 2019-04-11 15:58 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1800511 None None None 2019-03-22 16:57:17 UTC

Description Mauro Oddi 2019-03-21 15:38:33 UTC
Description of problem:
After major upgrade from RHOSP13 to RHOSP14, a change introduced in libvirt enforces that during live migration, the MTU size of the interface defined in libvirt XML has to match MTU of the target host's interfce plugged into the running domain. However for already running instances the MTU tag is undefined (not enforced in previous versions), therefore preventing live migration to take place (unless the instance's XML is regenerated via a hard reboot at the source host).

 

Version-Release number of selected component (if applicable):
libvirt-bash-completion-4.5.0-10.el7_6.4.x86_64
libvirt-client-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-config-nwfilter-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-interface-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-lxc-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-network-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-nodedev-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-nwfilter-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-qemu-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-secret-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-core-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-disk-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-gluster-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-iscsi-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-logical-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-mpath-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-rbd-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-driver-storage-scsi-4.5.0-10.el7_6.4.x86_64
libvirt-daemon-kvm-4.5.0-10.el7_6.4.x86_64
libvirt-libs-4.5.0-10.el7_6.4.x86_64
libvirt-python-4.5.0-1.el7.x86_64
openstack-nova-common-18.1.1-0.20190118044802.6e1120a.el7ost.noarch
openstack-nova-compute-18.1.1-0.20190118044802.6e1120a.el7ost.noarch
openstack-nova-migration-18.1.1-0.20190118044802.6e1120a.el7ost.noarch
puppet-nova-13.3.1-0.20181013120143.8ab435c.el7ost.noarch
python2-novaclient-11.0.0-0.20180809174649.f1005ce.el7ost.noarch
python-nova-18.1.1-0.20190118044802.6e1120a.el7ost.noarch
qemu-kvm-common-rhev-2.12.0-18.el7_6.1.x86_64
qemu-kvm-rhev-2.12.0-18.el7_6.1.x86_64


How reproducible:
always

Steps to Reproduce:
1. Having a running instance in RHOSP13
2. Major upgrade to RHOSP14
3. Attempt to livemigrate vm fails

Actual results:
Live migration fails with error:
ERROR nova.virt.libvirt.driver [req-... - - - - -] [instance: ...] Live Migration failure: unsupported configuration: Target network card MTU 8950 does not match source 0: libvirtError: unsupported configuration: Target network card MTU 8950 does not match source 0

Expected results:
Live migration should succeed without having to hard reboot the instance

Additional info:

The problem has been introduced in bugzilla:
 -  https://bugzilla.redhat.com/show_bug.cgi?id=1623157 

And commit 5f44d7e357f61f7be636a0e2e6d35453cbc3b589 in libvirt.

Comment 2 Michal Privoznik 2019-03-22 14:47:21 UTC
Mauro,

the libvirt's change is result of bug 1623157. MTU change is guest visible and can result in ABI incompatibility. Therefore we had to forbid it in libvirt. I guess the proper fix for openstack is to not set MTU on migration if source did not have it.

Comment 3 melanie witt 2019-03-22 16:12:49 UTC
Hi, this was fixed upstream [1] and backported to Rocky [2]. Can you verify whether the customer has the patch in their environment?

[1] https://review.openstack.org/614008
[2] https://review.openstack.org/614041


Note You need to log in before you can comment on or make changes to this bug.